depends = ('ITKPyBase', 'ITKThresholding', 'ITKSignedDistanceFunction', 'ITKOptimizers', 'ITKNarrowBand', 'ITKImageFeature', 'ITKImageCompare', 'ITKIOImageBase', 'ITKFiniteDifference', 'ITKFastMarching', 'ITKDistanceMap', 'ITKAnisotropicSmoothing', )
templates = (
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF2', True, 'itk::Image< float,2 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF3', True, 'itk::Image< float,3 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI2', False, 'itk::Index< 2 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI3', False, 'itk::Index< 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI2', False, 'itk::SparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI3', False, 'itk::SparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF2', False, 'itk::Image< float,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF3', False, 'itk::Image< float,3 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF22', False, 'itk::NormalBandNode< itk::Image< float,2 > >*, 2'),
  ('vector', 'std::vector', 'vectoritkImageNBNIF22', False, 'itk::Image< itk::NormalBandNode< itk::Image< float,2 > >*, 2  > '),
  ('Image', 'itk::Image', 'itkImageNBNIF33', False, 'itk::NormalBandNode< itk::Image< float,3 > >*, 3'),
  ('vector', 'std::vector', 'vectoritkImageNBNIF33', False, 'itk::Image< itk::NormalBandNode< itk::Image< float,3 > >*, 3  > '),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF22', False, 'itk::NormalBandNode< itk::Image< float,2 > >, 2'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF33', False, 'itk::NormalBandNode< itk::Image< float,3 > >, 3'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF2SINBNIF22', True, 'itk::Image< float,2 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,2 > >, 2 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF3SINBNIF33', True, 'itk::Image< float,3 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,3 > >, 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF2', False, 'itk::NormalBandNode< itk::Image< float,2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF3', False, 'itk::NormalBandNode< itk::Image< float,3 > >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IVF22F', True, 'itk::Image< float,2 >,itk::Image< itk::Vector< float,2 >,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IVF33F', True, 'itk::Image< float,3 >,itk::Image< itk::Vector< float,3 >,3 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2PSSS2', True, 'itk::Image< signed short,2 >, itk::PointSet< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2MSS2', True, 'itk::Image< signed short,2 >, itk::Mesh< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2PSUC2', True, 'itk::Image< signed short,2 >, itk::PointSet< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2MUC2', True, 'itk::Image< signed short,2 >, itk::Mesh< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2PSUS2', True, 'itk::Image< signed short,2 >, itk::PointSet< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2MUS2', True, 'itk::Image< signed short,2 >, itk::Mesh< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2PSF2', True, 'itk::Image< signed short,2 >, itk::PointSet< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2MF2', True, 'itk::Image< signed short,2 >, itk::Mesh< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2PSD2', True, 'itk::Image< signed short,2 >, itk::PointSet< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS2MD2', True, 'itk::Image< signed short,2 >, itk::Mesh< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2PSSS2', True, 'itk::Image< unsigned char,2 >, itk::PointSet< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2MSS2', True, 'itk::Image< unsigned char,2 >, itk::Mesh< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2PSUC2', True, 'itk::Image< unsigned char,2 >, itk::PointSet< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2MUC2', True, 'itk::Image< unsigned char,2 >, itk::Mesh< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2PSUS2', True, 'itk::Image< unsigned char,2 >, itk::PointSet< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2MUS2', True, 'itk::Image< unsigned char,2 >, itk::Mesh< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2PSF2', True, 'itk::Image< unsigned char,2 >, itk::PointSet< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2MF2', True, 'itk::Image< unsigned char,2 >, itk::Mesh< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2PSD2', True, 'itk::Image< unsigned char,2 >, itk::PointSet< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC2MD2', True, 'itk::Image< unsigned char,2 >, itk::Mesh< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2PSSS2', True, 'itk::Image< unsigned short,2 >, itk::PointSet< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2MSS2', True, 'itk::Image< unsigned short,2 >, itk::Mesh< signed short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2PSUC2', True, 'itk::Image< unsigned short,2 >, itk::PointSet< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2MUC2', True, 'itk::Image< unsigned short,2 >, itk::Mesh< unsigned char,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2PSUS2', True, 'itk::Image< unsigned short,2 >, itk::PointSet< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2MUS2', True, 'itk::Image< unsigned short,2 >, itk::Mesh< unsigned short,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2PSF2', True, 'itk::Image< unsigned short,2 >, itk::PointSet< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2MF2', True, 'itk::Image< unsigned short,2 >, itk::Mesh< float,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2PSD2', True, 'itk::Image< unsigned short,2 >, itk::PointSet< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS2MD2', True, 'itk::Image< unsigned short,2 >, itk::Mesh< double,2 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3PSSS3', True, 'itk::Image< signed short,3 >, itk::PointSet< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3MSS3', True, 'itk::Image< signed short,3 >, itk::Mesh< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3PSUC3', True, 'itk::Image< signed short,3 >, itk::PointSet< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3MUC3', True, 'itk::Image< signed short,3 >, itk::Mesh< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3PSUS3', True, 'itk::Image< signed short,3 >, itk::PointSet< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3MUS3', True, 'itk::Image< signed short,3 >, itk::Mesh< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3PSF3', True, 'itk::Image< signed short,3 >, itk::PointSet< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3MF3', True, 'itk::Image< signed short,3 >, itk::Mesh< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3PSD3', True, 'itk::Image< signed short,3 >, itk::PointSet< double,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterISS3MD3', True, 'itk::Image< signed short,3 >, itk::Mesh< double,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3PSSS3', True, 'itk::Image< unsigned char,3 >, itk::PointSet< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3MSS3', True, 'itk::Image< unsigned char,3 >, itk::Mesh< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3PSUC3', True, 'itk::Image< unsigned char,3 >, itk::PointSet< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3MUC3', True, 'itk::Image< unsigned char,3 >, itk::Mesh< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3PSUS3', True, 'itk::Image< unsigned char,3 >, itk::PointSet< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3MUS3', True, 'itk::Image< unsigned char,3 >, itk::Mesh< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3PSF3', True, 'itk::Image< unsigned char,3 >, itk::PointSet< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3MF3', True, 'itk::Image< unsigned char,3 >, itk::Mesh< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3PSD3', True, 'itk::Image< unsigned char,3 >, itk::PointSet< double,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUC3MD3', True, 'itk::Image< unsigned char,3 >, itk::Mesh< double,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3PSSS3', True, 'itk::Image< unsigned short,3 >, itk::PointSet< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3MSS3', True, 'itk::Image< unsigned short,3 >, itk::Mesh< signed short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3PSUC3', True, 'itk::Image< unsigned short,3 >, itk::PointSet< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3MUC3', True, 'itk::Image< unsigned short,3 >, itk::Mesh< unsigned char,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3PSUS3', True, 'itk::Image< unsigned short,3 >, itk::PointSet< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3MUS3', True, 'itk::Image< unsigned short,3 >, itk::Mesh< unsigned short,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3PSF3', True, 'itk::Image< unsigned short,3 >, itk::PointSet< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3MF3', True, 'itk::Image< unsigned short,3 >, itk::Mesh< float,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3PSD3', True, 'itk::Image< unsigned short,3 >, itk::PointSet< double,3 >'),
  ('BinaryMaskToNarrowBandPointSetFilter', 'itk::BinaryMaskToNarrowBandPointSetFilter', 'itkBinaryMaskToNarrowBandPointSetFilterIUS3MD3', True, 'itk::Image< unsigned short,3 >, itk::Mesh< double,3 >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI2', False, 'itk::Index< 2 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI3', False, 'itk::Index< 3 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI2', False, 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI3', False, 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionIF2F', True, 'itk::Image< float,2 >,float'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionIF3F', True, 'itk::Image< float,3 >,float'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseIF2F', True, 'itk::Image< float,2 >,float'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseIF3F', True, 'itk::Image< float,3 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F', True, 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF3IF3F', True, 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF2IVF22F', True, 'itk::Image< float,2 >,itk::Image< itk::Vector< float,2 >,2 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF3IVF33F', True, 'itk::Image< float,3 >,itk::Image< itk::Vector< float,3 >,3 >,float'),
)
snake_case_functions = ('segmentation_level_set_image_filter', 'laplacian_segmentation_level_set_image_filter', 'isotropic_fourth_order_level_set_image_filter', 'canny_segmentation_level_set_image_filter', 'unsharp_mask_level_set_image_filter', 'parallel_sparse_field_level_set_image_filter', 'narrow_band_threshold_segmentation_level_set_image_filter', 'narrow_band_level_set_image_filter', 'sparse_field_fourth_order_level_set_image_filter', 'vector_threshold_segmentation_level_set_image_filter', 'curves_level_set_image_filter', 'shape_detection_level_set_image_filter', 'threshold_segmentation_level_set_image_filter', 'binary_mask_to_narrow_band_point_set_filter', 'narrow_band_curves_level_set_image_filter', 'shape_prior_segmentation_level_set_image_filter', 'reinitialize_level_set_image_filter', 'sparse_field_level_set_image_filter', 'geodesic_active_contour_level_set_image_filter', 'colliding_fronts_image_filter', 'geodesic_active_contour_shape_prior_level_set_image_filter', 'anisotropic_fourth_order_level_set_image_filter', )
